Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.explorer.propertysheet
Class PropertySheet

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openide.explorer.propertysheet.PropertySheet

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

Direct Known Subclasses:
  PropertySheetView

    public class PropertySheet

extends JPanel

Implements a property sheet for a set of nodes. Note that this class should be final, but for backward compatibility, cannot be. Subclassing this class is strongly discouraged

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` | `ALWAYS_AS_STRING` Deprecated. Relic of the original property sheet implementation, useless.
`protected static Icon` | `iAlphaSort` Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
`protected static Icon` | `iCustomize` Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
`protected static Icon` | `iDisplayWritableOnly` Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
`protected static Icon` | `iNoSort` Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
`protected static Icon` | `iTypeSort` Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
`static int` | `PAINTING_PREFERRED` Deprecated. Relic of the original property sheet implementation, does useless.
`static String` | `PROPERTY_CURRENT_PAGE` Deprecated. Relic of the original property sheet implementation, , will never be fired.
`static String` | `PROPERTY_DISABLED_PROPERTY_COLOR` Deprecated. Relic of the original property sheet implementation, , will never be fired.
`static String` | `PROPERTY_DISPLAY_WRITABLE_ONLY` Deprecated. Relic of the original property sheet implementation, will never be fired.
`static String` | `PROPERTY_PLASTIC` Deprecated. Relic of the original property sheet implementation, , will never be fired.
`static String` | `PROPERTY_PROPERTY_PAINTING_STYLE` Deprecated. Relic of the original property sheet implementation, will never be fired.
`static String` | `PROPERTY_SORTING_MODE` Deprecated. Relic of the original property sheet implementation, will never be fired.
`static String` | `PROPERTY_VALUE_COLOR` Deprecated. Relic of the original property sheet implementation, will never be fired.
`static int` | `SORTED_BY_NAMES` Constant for by-name sorting mode.
`static int` | `SORTED_BY_TYPES` Deprecated. Not supported since NetBeans 3.6
`static int` | `STRING_PREFERRED` Deprecated. Relic of the original property sheet implementation, does useless.
`static int` | `UNSORTED` Constant for unsorted sorting mode.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PropertySheet()` Create a new property sheet

Method Summary
`void` | `addNotify()`
`void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)`
`int` | `getCurrentPage()` Deprecated. Relic of the original property sheet implementation. Does nothing.
`Color` | `getDisabledPropertyColor()` Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.
`boolean` | `getDisplayWritableOnly()` Deprecated. Relic of the original property sheet implementation. Does nothing.
`boolean` | `getPlastic()` Deprecated. Relic of the original property sheet implementation. Does nothing.
`int` | `getPropertyPaintingStyle()` Deprecated. Relic of the original property sheet implementation. Does nothing.
`int` | `getSortingMode()` Get the sorting mode.
`Color` | `getValueColor()` Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.
`void` | `removeNotify()`
`void` | `requestFocus()` Overridden to route focus requests to the table
`boolean` | `requestFocusInWindow()` Overridden to route focus requests to the table
`void` | `setCurrentPage(int index)` Deprecated. Relic of the original property sheet implementation. Does nothing.
`boolean` | `setCurrentPage(String str)` Deprecated. Relic of the original property sheet implementation. Does nothing.
`void` | `setDisabledPropertyColor(Color color)` Deprecated. Relic of the original property sheet implementation. Does nothing.
`void` | `setDisplayWritableOnly(boolean b)` Deprecated. Relic of the original property sheet implementation. Does nothing.
`void` | `setNodes(Node[] nodes)` Set the nodes explored by this property sheet.
`void` | `setPlastic(boolean plastic)` Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.
`void` | `setPropertyPaintingStyle(int style)` Deprecated. Relic of the original property sheet implementation. Does nothing.
`void` | `setSortingMode(int sortingMode)` Set the sorting mode.
`void` | `setValueColor(Color color)` Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.
`void` | `updateUI()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_SORTING_MODE

    public static final String PROPERTY_SORTING_MODE

  Deprecated. Relic of the original property sheet implementation, will never be fired.
  Deprecated - no code outside the property sheet should be interested in how items are sorted.

  See Also:
    Constant Field Values

### PROPERTY_VALUE_COLOR

    public static final String PROPERTY_VALUE_COLOR

  Deprecated. Relic of the original property sheet implementation, will never be fired.
  Property giving current value color.

  See Also:
    Constant Field Values

### PROPERTY_DISABLED_PROPERTY_COLOR

    public static final String PROPERTY_DISABLED_PROPERTY_COLOR

  Deprecated. Relic of the original property sheet implementation, , will never be fired.
  Property giving current disabled property color.

  See Also:
    Constant Field Values

### PROPERTY_CURRENT_PAGE

    public static final String PROPERTY_CURRENT_PAGE

  Deprecated. Relic of the original property sheet implementation, , will never be fired.
  Property with the current page index.

  See Also:
    Constant Field Values

### PROPERTY_PLASTIC

    public static final String PROPERTY_PLASTIC

  Deprecated. Relic of the original property sheet implementation, , will never be fired.
  Property for plastic mode.

  See Also:
    Constant Field Values

### PROPERTY_PROPERTY_PAINTING_STYLE

    public static final String PROPERTY_PROPERTY_PAINTING_STYLE

  Deprecated. Relic of the original property sheet implementation, will never be fired.
  Property for the painting style.

  See Also:
    Constant Field Values

### PROPERTY_DISPLAY_WRITABLE_ONLY

    public static final String PROPERTY_DISPLAY_WRITABLE_ONLY

  Deprecated. Relic of the original property sheet implementation, will never be fired.
  Property for whether only writable properties should be displayed.

  See Also:
    Constant Field Values

### ALWAYS_AS_STRING

    public static final int ALWAYS_AS_STRING

  Deprecated. Relic of the original property sheet implementation, useless.
  Constant for showing properties as a string always.

  See Also:
    Constant Field Values

### STRING_PREFERRED

    public static final int STRING_PREFERRED

  Deprecated. Relic of the original property sheet implementation, does useless.
  Constant for preferably showing properties as string.

  See Also:
    Constant Field Values

### PAINTING_PREFERRED

    public static final int PAINTING_PREFERRED

  Deprecated. Relic of the original property sheet implementation, does useless.
  Constant for preferably painting property values.

  See Also:
    Constant Field Values

### UNSORTED

    public static final int UNSORTED

  Constant for unsorted sorting mode.

  See Also:
    Constant Field Values

### SORTED_BY_NAMES

    public static final int SORTED_BY_NAMES

  Constant for by-name sorting mode.

  See Also:
    Constant Field Values

### SORTED_BY_TYPES

    public static final int SORTED_BY_TYPES

  Deprecated. Not supported since NetBeans 3.6
  Constant for by-type sorting mode.

  See Also:
    Constant Field Values

### iNoSort

    protected static Icon iNoSort

  Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
  Icon for the toolbar.

### iAlphaSort

    protected static Icon iAlphaSort

  Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
  Icon for the toolbar.

### iTypeSort

    protected static Icon iTypeSort

  Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
  Icon for the toolbar.

### iDisplayWritableOnly

    protected static Icon iDisplayWritableOnly

  Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
  Icon for the toolbar.

### iCustomize

    protected static Icon iCustomize

  Deprecated. Presumably noone uses this variable. If you want to customize the property sheet look you can change the image files directly (or use your own).
  Icon for the toolbar.

Constructor Detail

### PropertySheet

    public PropertySheet()

  Create a new property sheet

Method Detail

### addNotify

    public void addNotify()

  Overrides:
    `addNotify` in class `JComponent`

### updateUI

    public void updateUI()

  Overrides:
    `updateUI` in class `JPanel`

### removeNotify

    public void removeNotify()

  Overrides:
    `removeNotify` in class `JComponent`

### requestFocus

    public void requestFocus()

  Overridden to route focus requests to the table

  Overrides:
    `requestFocus` in class `JComponent`

### requestFocusInWindow

    public boolean requestFocusInWindow()

  Overridden to route focus requests to the table

  Overrides:
    `requestFocusInWindow` in class `JComponent`

### setNodes

    public void setNodes(Node[] nodes)

  Set the nodes explored by this property sheet.

  Parameters:
    `nodes` - nodes to be explored or null to clear the sheet

### setPropertyPaintingStyle

    public void setPropertyPaintingStyle(int style)

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated, does nothing.

  Parameters:
    `style` - Irrelevant

### getPropertyPaintingStyle

    public int getPropertyPaintingStyle()

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated, returns no meaningful value.

  Returns:
    the mode
  See Also:
    `setPropertyPaintingStyle(int)`

### setSortingMode

    public void setSortingMode(int sortingMode)
                        throws PropertyVetoException

  Set the sorting mode.

  Parameters:
    `sortingMode` - one of `UNSORTED` or `SORTED_BY_NAMES`. `SORTED_BY_TYPES` is no longer supported.
  Throws:
    `PropertyVetoException` - if a value other than one of the defined sorting modes is set

### getSortingMode

    public int getSortingMode()

  Get the sorting mode.

  Returns:
    the mode
  See Also:
    `setSortingMode(int)`

### setCurrentPage

    public void setCurrentPage(int index)

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated. Does nothing.

  Parameters:
    `index` - index of the page to select

### setCurrentPage

    public boolean setCurrentPage(String str)

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated. Does nothing.

  Parameters:
    `str` - name of the tab to select
  Returns:
    always returns false

### getCurrentPage

    public int getCurrentPage()

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated. Does nothing.

  Returns:
    index of currently selected page

### setPlastic

    public void setPlastic(boolean plastic)

  Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.

  Deprecated. Does nothing.

  Parameters:
    `plastic` - true if so

### getPlastic

    public boolean getPlastic()

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Test whether buttons in sheet are plastic.

  Returns:
    `true` if so

### setValueColor

    public void setValueColor(Color color)

  Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.

  Deprecated. Does nothing.

  Parameters:
    `color` - the new color

### getValueColor

    public Color getValueColor()

  Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.

  Deprecated. Does nothing.

  Returns:
    the color

### setDisabledPropertyColor

    public void setDisabledPropertyColor(Color color)

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated. Does nothing.

  Parameters:
    `color` - the new color

### getDisabledPropertyColor

    public Color getDisabledPropertyColor()

  Deprecated. Relic of the original property sheet implementation. Display of properties is handled by the look and feel.

  Deprecated. Does not return a meaningful value.

  Returns:
    the color

### setDisplayWritableOnly

    public void setDisplayWritableOnly(boolean b)

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated. Does nothing.

  Parameters:
    `b` - `true` if this is desired

### getDisplayWritableOnly

    public boolean getDisplayWritableOnly()

  Deprecated. Relic of the original property sheet implementation. Does nothing.

  Deprecated. Does not return a meaningful value.

  Returns:
    `true` if so

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   boolean oldValue,
                                   boolean newValue)

  Overrides:
    `firePropertyChange` in class `JComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.